org.eclnt.jsfserver.elements.componentnodes

## Class ROWINCLUDENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWINCLUDENode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWINCLUDENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWINCLUDENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWINCLUDENode` | `bindClientname(IDynamicContentBindingObject value)`
    `ROWINCLUDENode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWINCLUDENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWINCLUDENode` | `bindContentreplace(IDynamicContentBindingObject value)`
    `ROWINCLUDENode` | `bindContentreplacedrilldown(IDynamicContentBindingObject value)`
    `ROWINCLUDENode` | `bindPage(IDynamicContentBindingObject value)`
    `ROWINCLUDENode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWINCLUDENode` | `bindUpdateisolation(IDynamicContentBindingObject value)`
    `ROWINCLUDENode` | `bindUpdateoninnereventonly(IDynamicContentBindingObject value)`
    `ROWINCLUDENode` | `setAttributemacro(java.lang.String value)`
    `ROWINCLUDENode` | `setClientname(java.lang.String value)`
    `ROWINCLUDENode` | `setComment(java.lang.String value)`
    `ROWINCLUDENode` | `setConfiginfo(java.lang.String value)`
    `ROWINCLUDENode` | `setContentreplace(java.lang.String value)`
    `ROWINCLUDENode` | `setContentreplacedrilldown(java.lang.String value)`
    `ROWINCLUDENode` | `setId(java.lang.String value)`
    `ROWINCLUDENode` | `setPage(java.lang.String value)`
    `ROWINCLUDENode` | `setReference(java.lang.String value)`
    `ROWINCLUDENode` | `setRendered(boolean value)`
    `ROWINCLUDENode` | `setRendered(java.lang.String value)`
    `ROWINCLUDENode` | `setUpdateisolation(boolean value)`
    `ROWINCLUDENode` | `setUpdateisolation(java.lang.String value)`
    `ROWINCLUDENode` | `setUpdateoninnereventonly(boolean value)`
    `ROWINCLUDENode` | `setUpdateoninnereventonly(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWINCLUDENode

          public ROWINCLUDENode()

  - ### Method Detail

    - #### setId

          public ROWINCLUDENode setId(java.lang.String value)

    - #### setAttributemacro

          public ROWINCLUDENode setAttributemacro(java.lang.String value)

    - #### setClientname

          public ROWINCLUDENode setClientname(java.lang.String value)

    - #### bindClientname

          public ROWINCLUDENode bindClientname(IDynamicContentBindingObject value)

    - #### setComment

          public ROWINCLUDENode setComment(java.lang.String value)

    - #### bindComment

          public ROWINCLUDENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROWINCLUDENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWINCLUDENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setContentreplace

          public ROWINCLUDENode setContentreplace(java.lang.String value)

    - #### bindContentreplace

          public ROWINCLUDENode bindContentreplace(IDynamicContentBindingObject value)

    - #### setContentreplacedrilldown

          public ROWINCLUDENode setContentreplacedrilldown(java.lang.String value)

    - #### bindContentreplacedrilldown

          public ROWINCLUDENode bindContentreplacedrilldown(IDynamicContentBindingObject value)

    - #### setPage

          public ROWINCLUDENode setPage(java.lang.String value)

    - #### bindPage

          public ROWINCLUDENode bindPage(IDynamicContentBindingObject value)

    - #### setReference

          public ROWINCLUDENode setReference(java.lang.String value)

    - #### setRendered

          public ROWINCLUDENode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWINCLUDENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWINCLUDENode setRendered(boolean value)

    - #### setUpdateisolation

          public ROWINCLUDENode setUpdateisolation(java.lang.String value)

    - #### bindUpdateisolation

          public ROWINCLUDENode bindUpdateisolation(IDynamicContentBindingObject value)

    - #### setUpdateisolation

          public ROWINCLUDENode setUpdateisolation(boolean value)

    - #### setUpdateoninnereventonly

          public ROWINCLUDENode setUpdateoninnereventonly(java.lang.String value)

    - #### bindUpdateoninnereventonly

          public ROWINCLUDENode bindUpdateoninnereventonly(IDynamicContentBindingObject value)

    - #### setUpdateoninnereventonly

          public ROWINCLUDENode setUpdateoninnereventonly(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.